none
Does .Net 4 framework include .net framework 2.0 also?

    Question

  • Hi,

    I have a machine where in i see that .net framework 4 has been installed and in the registry editor under hkeylocalmachine\software\microsoft\net framework setup\ i can see v4.0 and v2.05...   . I am not sure if v2.0 has been installed as part of v4.0

    The control panel just shows .net framework 4. could some one confirm if v4.0 includes v2.0 also but not 3.5 or 3.0

    We use the crystal runtime which is part of v2.0 so we need 2.0 for it to run successfully. The applications are going to success with this setup so i am not sure if it was part of v4.0 or not.

    Please confirm us on this. and if possible, can some one suggest if atlst crruntime is part of .net 4 by any chance so that we dont need even v2.0?

    Thanks

    kamalesh.


    kamalesh

    Thursday, February 16, 2012 9:38 AM

Answers

  • No, .NET Framework 4.0 does NOT include .NET Framework 2.0.

    .NET Framework 4.0 is separate and independent from .NET Framework 2.0/3.0/3.5 (all one framework. 2.0 is the base, full, framework. 3.0 and 3.5 are extensions to 2.0.).

    If you have a modern Windows version, certain .NET Framework versions come with it as part of the OS. Windows Vista includes .NET Framework 2.0/3.0. Windows 7 includes .NET Framework 2.0/3.0/3.5 (through 3.5 SP1). OTOH, Windows XP does not include any .NET Frameworks, so you would need to install 2.0/3.0/3.5 separately on XP machines.

    I'm not sure where you got the idea that Crystal Reports runtime is part of a .NET Framework, but for questions about Crystal Reports, you need to ask here:

    http://forums.sdn.sap.com/forum.jspa?forumID=313

    If you have additional questions about .NET Frameworks, please don't hesitate to ask.



    Thursday, February 16, 2012 1:15 PM

All replies

  • No, .NET Framework 4.0 does NOT include .NET Framework 2.0.

    .NET Framework 4.0 is separate and independent from .NET Framework 2.0/3.0/3.5 (all one framework. 2.0 is the base, full, framework. 3.0 and 3.5 are extensions to 2.0.).

    If you have a modern Windows version, certain .NET Framework versions come with it as part of the OS. Windows Vista includes .NET Framework 2.0/3.0. Windows 7 includes .NET Framework 2.0/3.0/3.5 (through 3.5 SP1). OTOH, Windows XP does not include any .NET Frameworks, so you would need to install 2.0/3.0/3.5 separately on XP machines.

    I'm not sure where you got the idea that Crystal Reports runtime is part of a .NET Framework, but for questions about Crystal Reports, you need to ask here:

    http://forums.sdn.sap.com/forum.jspa?forumID=313

    If you have additional questions about .NET Frameworks, please don't hesitate to ask.



    Thursday, February 16, 2012 1:15 PM
  • Hi Kamalesh,

    If you install .Net v4.0, it includes .Net v2.0, v3.0 and v3.5 as well... but not v1.1. If you want to confirm it, you can notice in VS2010 -> New Project dialog -> At top, you can see .Net Framework dropdown with v4.0, v3.5, v3.0 and v2.0...

    Also, as pvdg42 mentioned, v2.0 is a complete base version and v3.0 and v3.5 are only the extensions of v2.0.

    Thanks,

    Saravanan

    Thursday, February 16, 2012 5:04 PM
  • Hello, Saravanan289.

    I wish there were a way to send private messages, but there is not. So, I will apologize in advance.

    I must point out, however, that "If you install .Net v4.0, it includes .Net v2.0, v3.0 and v3.5 as well." is incorrect.

    .NET Framework Framework 4.0 is separate and independent from earlier .NET Frameworks, and the installer does not include .NET Framework 2.0/3.0/3.5.

    There have been four (4) separate/independent .NET Frameworks released to this point:

    .NET Framework 1.0

    .NET Framework 1.1

    .NET Framework 2.0/3.0/3.5 (.NET 2.0 is the base, full, framework. 3.0 and 3.5 are extensions to .NET 2.0)

    .NET Framework 4.0 (with 4.5, when released as an extension to 4.0)

    At this time, the only cumulative installer available is for .NET Framework 3.5 SP1, which includes 2.0, 3.0 and all SP's through 3.5 SP1.

    Thursday, February 16, 2012 6:04 PM